# Class JGlobalApi

#### Hierarchy (View Summary)

- JBaseApi
  - JGlobalApi

- Defined in jamespot-user-api/src/apis/global/global.ts:7

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

addAction
countAction
getUsers
removeAction
updateAction
useWebVersion

## Constructors

### constructor

- new JGlobalApi(jApi: JamespotUserApi): JGlobalApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JGlobalApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### addAction

- addAction<
  T extends
  {
  dateCreation?: string;
  dateModified?: string
  | null;
  id: number;
  mainType: string;
  srcId: number;
  srcType: string;
  targetId: number;
  targetType: string | null;
  type: string;
  uri: string;
  } = {
  dateCreation?: string;
  dateModified?: string
  | null;
  id: number;
  mainType: string;
  srcId: number;
  srcType: string;
  targetId: number;
  targetType: string | null;
  type: string;
  uri: string;
  },
  >(
  params: ActionParams,
  format?: "raw-little" | "raw-list" | "raw-view",
  ): Promise<ApiWrapper<T, BaseMessages>>

  #### Type Parameters

  - T extends {
    dateCreation?: string;
    dateModified?: string | null;
    id: number;
    mainType: string;
    srcId: number;
    srcType: string;
    targetId: number;
    targetType: string | null;
    type: string;
    uri: string;
    } = {
    dateCreation?: string;
    dateModified?: string | null;
    id: number;
    mainType: string;
    srcId: number;
    srcType: string;
    targetId: number;
    targetType: string | null;
    type: string;
    uri: string;
    }

  #### Parameters

  - params: ActionParams
  - `Optional` format: "raw-little" | "raw-list" | "raw-view"

  #### Returns Promise<ApiWrapper<T, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/global/global.ts:18

### countAction

- countAction(
  verb: "read",
  uri: string,
  ): Promise<ApiWrapper<number, BaseMessages>>

  #### Parameters

  - verb: "read"
  - uri: string

  #### Returns Promise<ApiWrapper<number, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/global/global.ts:8

### getUsers

- getUsers<T extends jUserLittle = jUserList>(
  params: ActionParams,
  format?: "raw-little" | "raw-list" | "raw-view",
  ): Promise<ApiWrapper<T[], BaseMessages>>

  #### Type Parameters

  - T extends jUserLittle = jUserList

  #### Parameters

  - params: ActionParams
  - `Optional` format: "raw-little" | "raw-list" | "raw-view"

  #### Returns Promise<ApiWrapper<T[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/global/global.ts:71

### removeAction

- removeAction(
  params: ActionParams,
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - params: ActionParams
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/global/global.ts:47

### updateAction

- updateAction<T>(
  params: ActionUpdateParamsSchema<T>,
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Type Parameters

  - T

  #### Parameters

  - params: ActionUpdateParamsSchema<T>
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/global/global.ts:30

### useWebVersion

- useWebVersion(): Promise<ApiWrapper<unknown, BaseMessages>>

  #### Returns Promise<ApiWrapper<unknown, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/global/global.ts:64